import request from '@/utils/request'

// 查询危害物质数据关联列表
export function listMatter(query) {
  return request({
    url: '/configuration/matter/list',
    method: 'get',
    params: query
  })
}

// 查询危害物质数据关联详细
export function getMatter(id) {
  return request({
    url: '/configuration/matter/' + id,
    method: 'get'
  })
}

// 新增危害物质数据关联
export function addMatter(data) {
  return request({
    url: '/configuration/matter',
    method: 'post',
    data: data
  })
}

// 修改危害物质数据关联
export function updateMatter(data) {
  return request({
    url: '/configuration/matter',
    method: 'put',
    data: data
  })
}

// 删除危害物质数据关联
export function delMatter(id) {
  return request({
    url: '/configuration/matter/' + id,
    method: 'delete'
  })
}

// 导出危害物质数据关联
export function exportMatter(query) {
  return request({
    url: '/configuration/matter/export',
    method: 'get',
    params: query
  })
}
